from fastapi import Query
from pydantic import BaseModel, EmailStr


class RegisterSchema(BaseModel):
    full_name: str
    email: EmailStr
    password: str
    gender: int = Query(None, le=1, ge=3)
    mobile: str = Query(None, min_length=8, max_length=13)
    user_image: str = None
    user_type: int = Query(None, le=1, ge=2)
    lang_type: int = Query(None, le=1, ge=2)
    device_type: int = Query(None, le=1, ge=2)
    device_id: str


class LoginSchema(BaseModel):
    email: EmailStr
    password: str
    user_type: int = Query(None, le=1, ge=2)
    lang_type: int = Query(None, le=1, ge=2)
    device_id: str


class OTPSchema(BaseModel):
    mobile: str = Query(None, min_length=8, max_length=13)
    otp: int = Query(None, le=6, ge=6)
